//--------------------------------------------------------------------------
//
//  OTIMER.H
//
//  Timer class... using Object callback
//
//--------------------------------------------------------------------------


#ifndef __OTIMER_H
#define __OTIMER_H

#ifndef __WINDOWS_H
#include "windows.h"
#endif

class OTimer {
private:
    UINT    wIDTimer;
    FARPROC instTimer;

    static CALLBACK TimerCallback(HWND hwnd, UINT wMsg, 
        UINT idTimer, DWORD dwTime);
    
protected:
    virtual void timerHit(DWORD dwTime)=0;

public:
    OTimer();
    virtual ~OTimer();

    BOOL go(UINT wMsec);
    BOOL stop();
};


#endif
